# GCC_RegistryAllocateHandleResponse Class Reference

`#include <gcc.h>`

Inheritance diagram for GCC_RegistryAllocateHandleResponse:

List of all members.

## Public Member Functions

| GCC_RegistryAllocateHandleResponse (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

GCC_EntityID | m_entityID
PASN_Integer | m_numberOfHandles
GCC_Handle | m_firstHandle
GCC_RegistryAllocateHandleResponse_result | m_result

## Constructor & Destructor Documentation

GCC_RegistryAllocateHandleResponse::GCC_RegistryAllocateHandleResponse | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX GCC_RegistryAllocateHandleResponse::GetDataLength | ( |  | ) | const

PBoolean GCC_RegistryAllocateHandleResponse::Decode | ( | PASN_Stream & | strm | ) |

void GCC_RegistryAllocateHandleResponse::Encode | ( | PASN_Stream & | strm | ) | const

void GCC_RegistryAllocateHandleResponse::PrintOn | ( | ostream & | strm | ) | const

Comparison GCC_RegistryAllocateHandleResponse::Compare | ( | const PObject & | obj | ) | const

PObject* GCC_RegistryAllocateHandleResponse::Clone | ( |  | ) | const

## Member Data Documentation

GCC_EntityID GCC_RegistryAllocateHandleResponse::m_entityID

PASN_Integer GCC_RegistryAllocateHandleResponse::m_numberOfHandles

GCC_Handle GCC_RegistryAllocateHandleResponse::m_firstHandle

GCC_RegistryAllocateHandleResponse_result GCC_RegistryAllocateHandleResponse::m_result

The documentation for this class was generated from the following file:

- gcc.h